Asustor PHP - Disposer de la dernière version ... ou de celle de son choix

JacquesNAS

Chevalier Jedi
21 Janvier 2016
466
61
28
Bonjour,

l'arrivée d'un PHP au moins égale à :

PHP 8.3.3 (cli) (built: Feb 16 2024 01:31:30) (NTS)
Copyright (c) The PHP Group
Zend Engine v4.3.3, Copyright (c) Zend Technologies

est-elle prévue et annoncée dans l'App Central ?
Pour quand ?

Sinon comment l'installer en lieu et place de l'actuel :

PHP 8.1.18 (cli) (built: Sep 22 2023 07:56:54) (NTS)
Copyright (c) The PHP Group
Zend Engine v4.1.18, Copyright (c) Zend Technologies
with Zend OPcache v8.1.18, Copyright (c), by Zend Technologies

... sans faire de casse ?
 
Là je n'ai pas accès au Nas. Cf mon fil de discussion ouvert ce matin dans configuration.

Cependant je peux te dire d'arrêter de chercher ou de solliciter la team.

En effet, l'app Centrale propose d'installer un gestionnaire de packages alternatif. Ce dernier propose une liste de packages pratiques comme curl, bash, ... ou des versions de PHP.

Ça doit donc répondre à la question au moins partiellement car le repo proposé est relativement limité.

Un autre inconvénient probable (je n'ai pas eu le temps de tester du fait de mon pb de resynchro raid5 en cours) est qu'il faut sans doute être un petit peu expert et plonger dans la cli qui doit être la seule façon d'utiliser ce repo.

Ça veut dire une courbe d'apprentissage pour votre serviteur ou un mur infranchissable pour le grand public.

Et là le débat reste entier ; les NAS sont ils grand public ?

Je pense que c'est le tour de force d'Asustor d'avoir réussi à adresser tout les types d'utilisateurs dans un même produit. Les néophytes se contentent de l'offre du store par défaut déjà riche. Et si vous voulez rajouter des outils plus pro, le système ne l'interdit pas.

Pour le repo : entware dans l'App Centrale
La liste des packages devrait être celle-ci si je ne me trompe pas ;

 
"Hi Damien
We will consider whether to maintain both PHP 8.1 and 8.3 concurrently or to upgrade directly from 8.1 to 8.3."
 
  • J'aime
Réactions: JacquesNAS
PHP 8.3 : OK ! (merci !) :)

Et est-ce que tu peux voir pour qu'on ait tous les packages qui vont bien pour faire du laravel 11 ? (tailwind, composer, Vite, etc etc.)